# Amuse: amuse::EffectDelayImp< T > Class Template Reference

amuse::EffectDelayImp< T > Class Template Reference

`#include <EffectDelay.hpp>`

Inheritance diagram for amuse::EffectDelayImp< T >:
Collaboration diagram for amuse::EffectDelayImp< T >:

## Public Member Functions

| EffectDelayImp (uint32_t initDelay, uint32_t initFeedback, uint32_t initOutput, double sampleRate)
void | applyEffect (T *audio, size_t frameCount, const ChannelMap &chanMap)
Public Member Functions inherited from amuse::EffectDelay
void | setDelay (uint32_t delay)
void | setChanDelay (int chanIdx, uint32_t delay)
void | setFeedback (uint32_t feedback)
void | setChanFeedback (int chanIdx, uint32_t feedback)
void | setOutput (uint32_t output)
void | setChanOutput (int chanIdx, uint32_t output)

## Additional Inherited Members

Public Types inherited from amuse::EffectDelay
template<typename T >
using | ImpType = EffectDelayImp< T >
Protected Attributes inherited from amuse::EffectDelay
uint32_t | x3c_delay [8]
uint32_t | x48_feedback [8]
uint32_t | x54_output [8]
bool | m_dirty = true

## Detailed Description

### template<typename T>
class amuse::EffectDelayImp< T >

Type-specific implementation of delay effect

Definition at line 12 of file EffectDelay.hpp.

The documentation for this class was generated from the following file:

- include/amuse/EffectDelay.hpp